ERROR ITMS-90725: Please update Xcode and rebuild your app


#1

i am tray to upload my IPA app to ios app store but i get this error

ERROR ITMS-90725: Please update Xcode and rebuild your app


ERROR ITMS-90725: "SDK Version Issue. This app was built with the iOS '10.3' SDK. All new iOS apps submitted to the App Store must be built with the iOS '11.0' SDK or later, included in Xcode [9.0] or later. Please update Xcode and rebuild your app."

how to solve this problem please


#2

Have you try like displayed in the warning respectively have you try to update XCode?


#4

i can’t update xcode to 9 becuse it need mac os 10.13 :frowning: this mean i need to instal mac 10.13 and then update xcode to 9 :frowning:
i don’t know why apple do this this waste our time :frowning:


#5

thanks but i need help for free :wink:


#6

I understand the frustration, but to be fair, mac os 10.13 is more than one years old, on the other side for security and bug reason I could understand that apple want its user to upgrade at some point too


#7

thanks you all , i updated mac os to latest version and now i can upload my app to app store :grimacing::flushed: